import Modal from './Modal'
import ModalBase from './ModalBase'
import ModalWindow from './ModalWindow'

import { use, registerComponent } from '../../utils/plugins'

const Plugin = {
  install(Vue) {
    registerComponent(Vue, Modal)
    registerComponent(Vue, ModalBase)
    registerComponent(Vue, ModalWindow)
  }
}

use(Plugin)

export default Plugin

export {
  Modal as PModal,
  ModalBase as PModalBase,
  ModalWindow as PModalWindow,
}
