import Select from './Select'
import TreeSelect from './TreeSelect'

import { use, registerComponent } from '../../utils/plugins'

const Plugin = {
    install(Vue) {
        registerComponent(Vue, Select)
        registerComponent(Vue, TreeSelect)
    }
}

use(Plugin)

export default Plugin

export {
  Select as PSelect,
  TreeSelect as PTreeSelect,
}
