import Tag from './Tag'
import TagList from './TagList'

import { use, registerComponent } from '../../utils/plugins'

const Plugin = {
    install(Vue) {
        registerComponent(Vue, Tag)
        registerComponent(Vue, TagList)
    }
}

use(Plugin)

export default Plugin

export {
    Tag as PTag,
    TagList as PTagList
}
