import Dropdown from './Dropdown'
import DropdownWrapper from './DropdownWrapper'
import DropdownItem from './DropdownItem'

import { use, registerComponent } from '../../utils/plugins'

const Plugin = {
    install(Vue) {
        registerComponent(Vue, Dropdown)
        registerComponent(Vue, DropdownWrapper)
        registerComponent(Vue, DropdownItem)
    }
}

use(Plugin)

export default Plugin

export {
    Dropdown as PDropdown,
    DropdownWrapper as PDropdownWrapper,
    DropdownItem as PDropdownItem
}
