import Tabs from './Tabs'
import TabItem from './TabItem'

import { use, registerComponent } from '../../utils/plugins'

const Plugin = {
    install(Vue) {
        registerComponent(Vue, TabItem)
        registerComponent(Vue, Tabs)
    }
}

use(Plugin)

export default Plugin

export {
    Tabs as PTabs,
    TabItem as PTabItem
}
