import * as components from './components'

import { use } from './utils/plugins'

const PlatonUI = {
    install(Vue, options = {}) {
        // Components
        for (let componentKey in components) {
            Vue.use(components[componentKey])
        }
    }
}

use(PlatonUI)

export default PlatonUI